QGIS Application - Bug report #13296
topology checker misleading errors
2015-08-31 12:27 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:2.8.3 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21354
Description

When digitizing adjacent polygons using the "avoid intersection" rule, is easy enough at some point (especially if the layer is reprojected)
to get gaps or overlapped areas... at least the topology checker says so. A further check, with GRASS, seems to exclude this problems,
as holes (gaps) and overlapping areas are not detected.

History

#1 - 2016-04-13 04:19 AM - Thomas Nogatz

Could you describe please how you did check the layer with GRASS?

#2 - 2016-04-13 07:33 AM - Giovanni Manghi
Thomas Nogatz wrote:
Could you describe please how you did check the layer with GRASS?
you have to import your vector into a GRASS mapset/location. You can do it using native GRASS or you can also use the QGIS/GRASS plugin (also to
create a new mapset/location). The import module is v.in.ogr and you should use in first place without using any snapping option. After importing the vector
you may end with up to 3 different GRASS layers: 0, 1, 2.
1 is the "normal” layer as you would expect
0 is a layer with polygons representing the holes/rings/spaces in the original layer
2 is a layer with polygons representing the overlapped areas in the original layer
if after the import you end up with just the 1 layer, then your original layers has no holes/rings/spaces and no overlapping areas.
#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No
#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
